SReview::Files::Base(3pm)

NAME
SReview::Files::Base - Base class for all SReview::Files classes

DESCRIPTION
The SReview::Files::Base class is the base class for all "SReview::Files" classes. It should not be used directly, but it contains contains a few properties that are required for all "SReview::Files" classes.

PROPERTIES

  "is_collection"
The "is_collection" property is a boolean indicating whether the object is a collection or not.

  "url"
The "url" property is the URL of the object. It is lazy and will be computed on demand.

  "download_verbose"
The "download_verbose" property is a boolean indicating whether verbose output should be printed when downloading files. Defaults to false.

AUTHOR
Wouter Verhelst <w@uter.be>